#!/bin/bash

ZFS_PACKAGE="zfsutils-linux"
NFS_SERVER_PACKAGE="nfs-kernel-server"

install_zfs(){
    dpkg-query -s $ZFS_PACKAGE | grep -i "status" | grep -i "installed" > /dev/null
    if [ $? -eq 0 ]; then
        echo "ZFS was already installed"
    else
        echo "Installing ZFS..."
        apt install $ZFS_PACKAGE
    fi
}


install_nfs_server(){
    dpkg-query -s $NFS_SERVER_PACKAGE | grep -i "status" | grep -i "installed" > /dev/null
    if [ $? -eq 0 ]; then
        echo "NFS was already installed"
    else
        echo "Installing NFS Server..."
        apt install $NFS_SERVER_PACKAGE
    fi
}

install_zfs
install_nfs_server